Bug 1866539 - VSphere IPI fails to bootstrap workers: default resource pool resolves to multiple instances, please specify
Summary: VSphere IPI fails to bootstrap workers: default resource pool resolves to mul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Aditya Narayanaswamy
QA Contact: jima
URL:
Whiteboard:
Depends On: 1852545
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 20:28 UTC by Abhinav Dahiya
Modified: 2020-08-17 20:06 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the machines try to get the resourcePoolPath, it finds multiple resource pools and is unable to resolve the right one. Adding a property in the machine sets with the resourcePoolPath information so the right one is picked.
Clone Of: 1852545
Environment:
Last Closed: 2020-08-17 20:05:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4014 0 None closed [release-4.5] Bug 1866539: Add ResourcePoolPath to machines in vsphere 2021-02-14 05:21:44 UTC
Red Hat Knowledge Base (Solution) 5234861 0 None None None 2020-08-05 21:40:19 UTC
Red Hat Product Errata RHBA-2020:3330 0 None None None 2020-08-17 20:06:19 UTC

Comment 4 jima 2020-08-10 05:06:35 UTC
Verified on nightly build 4.5.0-0.nightly-2020-08-07-024812 and passed.

# oc get machinesets.machine.openshift.io  jima45ipi0808-hdhxz-worker -n openshift-machine-api --template '{{.spec.template.spec.providerSpec.value.workspace.resourcePool}}'
/dc1/host/devel/Resources

Comment 6 errata-xmlrpc 2020-08-17 20:05:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.